javax.faces.el

## Class MethodBinding

- java.lang.Object
- - javax.faces.el.MethodBinding

- Deprecated.
  This has been replaced by `MethodExpression`.

      public abstract class MethodBinding
      extends Object

  MethodBinding is an object that can be used to call an arbitrary public method, on an instance that is acquired by evaluatng the leading portion of a method binding expression via a `ValueBinding`. An immutable `MethodBinding` for a particular method binding expression can be acquired by calling the `createMethodBinding()` method of the `Application` instance for this web application.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodBinding()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getExpressionString()` Deprecated. Return the (possibly `null`) expression String, with leading and trailing delimiters, from which this `MethodBinding` was built.
    `abstract Class` | `getType(FacesContext context)` Deprecated. Return the Java class representing the return type from the method identified by this method binding expression.
    `abstract Object` | `invoke(FacesContext context, Object[] params)` Deprecated. Return the return value (if any) resulting from a call to the method identified by this method binding expression, passing it the specified parameters, relative to the specified `FacesContext`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodBinding

          public MethodBinding()

      Deprecated.

  - ### Method Detail

    - #### invoke

          public abstract Object invoke(FacesContext context,
                      Object[] params)
                                 throws EvaluationException,
                                        MethodNotFoundException

      Deprecated.

      Return the return value (if any) resulting from a call to the method identified by this method binding expression, passing it the specified parameters, relative to the specified `FacesContext`.

      Parameters:
        `context` - `FacesContext` for the current request
        `params` - Array of parameters to be passed to the called method, or `null` for no parameters
      Throws:
        `EvaluationException` - if an exception is thrown by the called method (the thrown exception must be included as the `cause` property of this exception)
        `MethodNotFoundException` - if no suitable method can be found
        `NullPointerException` - if `context` is `null`

    - #### getType

          public abstract Class getType(FacesContext context)
                                 throws MethodNotFoundException

      Deprecated.

      Return the Java class representing the return type from the method identified by this method binding expression.

      Parameters:
        `context` - `FacesContext` for the current request
      Throws:
        `MethodNotFoundException` - if no suitable method can be found
        `NullPointerException` - if `context` is `null`

    - #### getExpressionString

          public String getExpressionString()

      Deprecated.

      Return the (possibly `null`) expression String, with leading and trailing delimiters, from which this `MethodBinding` was built. The default implementation returns `null`.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.